<template>
    <view style="line-height: 26px;padding: 32upx;" class="home1 ">
		<view style="font-size: 28upx;" v-html="content"></view>
		<view class="btn-box  u-flex u-row-center" v-if="!isLogin">
			<view class="btn cancel" @click="cancel">拒绝</view>
			<view class="btn" @click="back">同意</view>
		</view>
    </view>
</template>

<script>
    export default {
        data() {
            return {
				content:'',
				isLogin:false
			}
        },
		onLoad() {
			this.getGuize();
			this.isLogin=uni.getStorageSync('token')?true:false
		},
        methods: {
			cancel(){
				// #ifdef H5
				uni.navigateBack()
				// #endif
				// #ifdef APP
				plus.runtime.quit();
				// #endif
			},
			back(){
				uni.navigateBack()
			},
			getGuize(){
				// this.$Request.getT('/agreement/find?id=1').then(res =>{
				// 	if(res.status === 0){
				// 		this.content = res.data.content;
				// 	}
				// });
				this.$u.get('app/common/type/154').then(res => {
					this.content = res.data.value
					
				});
			}
		}
    }
</script>

<style scoped>
	.btn {
		width: 100%;
		height: 42px;
		line-height: 42px;
		border-radius: 30px;
		background: #ff7581;
		color: #ffffff;
		text-align: center;
	}
	.btn-box{
		gap: 20px;
		padding: 30rpx 130rpx;
	}
	.cancel{
		background-color: #eee;
		color: #999;
	}
	page{
		/* background: #1c1b20; */
	}
</style>
